Send a single message
curl --request POST \
--url https://api.heullo.com/api/sms/single \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"phoneNumber": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"templateId": "<string>"
}
'import requests
url = "https://api.heullo.com/api/sms/single"
payload = {
"content": "<string>",
"phoneNumber": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"templateId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
phoneNumber: '<string>',
scheduledFor: '2023-11-07T05:31:56Z',
senderId: '<string>',
templateId: '<string>'
})
};
fetch('https://api.heullo.com/api/sms/single', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/sms/single",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'phoneNumber' => '<string>',
'scheduledFor' => '2023-11-07T05:31:56Z',
'senderId' => '<string>',
'templateId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/sms/single"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/sms/single")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/sms/single")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"channel": "UI",
"completed": true,
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"deliveryType": "SINGLE",
"failureCount": 123,
"id": "<string>",
"message": "<string>",
"metadata": {},
"name": "<string>",
"ownerId": "<string>",
"ownerName": "<string>",
"ownerType": "<string>",
"recipient": "<string>",
"recipients": [
"<string>"
],
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"status": "DRAFT",
"successCount": 123,
"taskId": "<string>",
"templateId": "<string>",
"totalMessages": 123,
"type": "SMS",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}SMS Management
Send a single message
POST /api/sms/single
POST
/
api
/
sms
/
single
Send a single message
curl --request POST \
--url https://api.heullo.com/api/sms/single \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"phoneNumber": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"templateId": "<string>"
}
'import requests
url = "https://api.heullo.com/api/sms/single"
payload = {
"content": "<string>",
"phoneNumber": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"templateId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
phoneNumber: '<string>',
scheduledFor: '2023-11-07T05:31:56Z',
senderId: '<string>',
templateId: '<string>'
})
};
fetch('https://api.heullo.com/api/sms/single', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/sms/single",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<string>',
'phoneNumber' => '<string>',
'scheduledFor' => '2023-11-07T05:31:56Z',
'senderId' => '<string>',
'templateId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/sms/single"
payload := strings.NewReader("{\n \"content\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/sms/single")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/sms/single")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"scheduledFor\": \"2023-11-07T05:31:56Z\",\n \"senderId\": \"<string>\",\n \"templateId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"channel": "UI",
"completed": true,
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"deliveryType": "SINGLE",
"failureCount": 123,
"id": "<string>",
"message": "<string>",
"metadata": {},
"name": "<string>",
"ownerId": "<string>",
"ownerName": "<string>",
"ownerType": "<string>",
"recipient": "<string>",
"recipients": [
"<string>"
],
"scheduledFor": "2023-11-07T05:31:56Z",
"senderId": "<string>",
"status": "DRAFT",
"successCount": 123,
"taskId": "<string>",
"templateId": "<string>",
"totalMessages": 123,
"type": "SMS",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - */*
OK
Available options:
UI, API, EMAIL2SMS Available options:
SINGLE, BULK, IMMEDIATE, SCHEDULED Show child attributes
Show child attributes
Available options:
DRAFT, SCHEDULED, IN_PROGRESS, COMPLETED, FAILED, PROCESSING, PENDING, PAUSED, CANCELLED Available options:
SMS, FLASH, BINARY, WAP_PUSH, UNICODE, TRANSACTIONAL, PROMOTIONAL, OTP, REMINDER, TEXT, TEMPLATE, BULK, MARKETING 
